[
    {
        "Id": "9b8bd25bf6ab6bc98b2c435edba0c55ad71274761dacfd9bf79714df86ccd705",
        "Created": "2025-08-18T18:12:12.752503142Z",
        "Path": "appflowy_worker",
        "Args": [],
        "State": {
            "Status": "running",
            "Running": true,
            "Paused": false,
            "Restarting": false,
            "OOMKilled": false,
            "Dead": false,
            "Pid": 4114,
            "ExitCode": 0,
            "Error": "",
            "StartedAt": "2025-08-22T21:11:22.338062783Z",
            "FinishedAt": "2025-08-22T21:11:19.783742063Z"
        },
        "Image": "sha256:5b04758e9a719482695e350dfed3e91a29dd5ecf4c300d86ea6f223416be4312",
        "ResolvConfPath": "/var/snap/docker/common/var-lib-docker/containers/9b8bd25bf6ab6bc98b2c435edba0c55ad71274761dacfd9bf79714df86ccd705/resolv.conf",
        "HostnamePath": "/var/snap/docker/common/var-lib-docker/containers/9b8bd25bf6ab6bc98b2c435edba0c55ad71274761dacfd9bf79714df86ccd705/hostname",
        "HostsPath": "/var/snap/docker/common/var-lib-docker/containers/9b8bd25bf6ab6bc98b2c435edba0c55ad71274761dacfd9bf79714df86ccd705/hosts",
        "LogPath": "/var/snap/docker/common/var-lib-docker/containers/9b8bd25bf6ab6bc98b2c435edba0c55ad71274761dacfd9bf79714df86ccd705/9b8bd25bf6ab6bc98b2c435edba0c55ad71274761dacfd9bf79714df86ccd705-json.log",
        "Name": "/appflowy-cloud-appflowy_worker-1",
        "RestartCount": 0,
        "Driver": "overlay2",
        "Platform": "linux",
        "MountLabel": "",
        "ProcessLabel": "",
        "AppArmorProfile": "docker-default",
        "ExecIDs": null,
        "HostConfig": {
            "Binds": null,
            "ContainerIDFile": "",
            "LogConfig": {
                "Type": "json-file",
                "Config": {}
            },
            "NetworkMode": "appflowy-cloud_default",
            "PortBindings": {},
            "RestartPolicy": {
                "Name": "on-failure",
                "MaximumRetryCount": 0
            },
            "AutoRemove": false,
            "VolumeDriver": "",
            "VolumesFrom": null,
            "ConsoleSize": [
                0,
                0
            ],
            "CapAdd": null,
            "CapDrop": null,
            "CgroupnsMode": "private",
            "Dns": [],
            "DnsOptions": [],
            "DnsSearch": [],
            "ExtraHosts": [],
            "GroupAdd": null,
            "IpcMode": "private",
            "Cgroup": "",
            "Links": null,
            "OomScoreAdj": 0,
            "PidMode": "",
            "Privileged": false,
            "PublishAllPorts": false,
            "ReadonlyRootfs": false,
            "SecurityOpt": null,
            "UTSMode": "",
            "UsernsMode": "",
            "ShmSize": 67108864,
            "Runtime": "runc",
            "Isolation": "",
            "CpuShares": 0,
            "Memory": 0,
            "NanoCpus": 0,
            "CgroupParent": "",
            "BlkioWeight": 0,
            "BlkioWeightDevice": null,
            "BlkioDeviceReadBps": null,
            "BlkioDeviceWriteBps": null,
            "BlkioDeviceReadIOps": null,
            "BlkioDeviceWriteIOps": null,
            "CpuPeriod": 0,
            "CpuQuota": 0,
            "CpuRealtimePeriod": 0,
            "CpuRealtimeRuntime": 0,
            "CpusetCpus": "",
            "CpusetMems": "",
            "Devices": null,
            "DeviceCgroupRules": null,
            "DeviceRequests": null,
            "MemoryReservation": 0,
            "MemorySwap": 0,
            "MemorySwappiness": null,
            "OomKillDisable": null,
            "PidsLimit": null,
            "Ulimits": null,
            "CpuCount": 0,
            "CpuPercent": 0,
            "IOMaximumIOps": 0,
            "IOMaximumBandwidth": 0,
            "MaskedPaths": [
                "/proc/asound",
                "/proc/acpi",
                "/proc/interrupts",
                "/proc/kcore",
                "/proc/keys",
                "/proc/latency_stats",
                "/proc/timer_list",
                "/proc/timer_stats",
                "/proc/sched_debug",
                "/proc/scsi",
                "/sys/firmware",
                "/sys/devices/virtual/powercap",
                "/sys/devices/system/cpu/cpu0/thermal_throttle",
                "/sys/devices/system/cpu/cpu1/thermal_throttle",
                "/sys/devices/system/cpu/cpu2/thermal_throttle",
                "/sys/devices/system/cpu/cpu3/thermal_throttle"
            ],
            "ReadonlyPaths": [
                "/proc/bus",
                "/proc/fs",
                "/proc/irq",
                "/proc/sys",
                "/proc/sysrq-trigger"
            ]
        },
        "GraphDriver": {
            "Data": {
                "ID": "9b8bd25bf6ab6bc98b2c435edba0c55ad71274761dacfd9bf79714df86ccd705",
                "LowerDir": "/var/snap/docker/common/var-lib-docker/overlay2/82f632cafa75bb90b76910cc9a69ffa672a4cae0107610aa8f0b32c35d341919-init/diff:/var/snap/docker/common/var-lib-docker/overlay2/e376f9d28a3c35de28abce9eb1281f5d178ff5817e88b979f966e72da92c2e2b/diff:/var/snap/docker/common/var-lib-docker/overlay2/e3c408e050adfab6eab76b52f38edbb176ec167cb4445b53dc877870268b3870/diff:/var/snap/docker/common/var-lib-docker/overlay2/a7b907e8550bdf3685e136812691eea050ad9a555a70949c42ebfc6104647b01/diff:/var/snap/docker/common/var-lib-docker/overlay2/9505051e255858e71e85440d0f64895a1b205e8b3df41c386a3598e40602060a/diff:/var/snap/docker/common/var-lib-docker/overlay2/4262eafe81e2557e9b5eb4967c01b00cb581a1fb8177dd12e2062c9436fb032e/diff:/var/snap/docker/common/var-lib-docker/overlay2/631ea591444549b430423ab8d925fa3636eb4015e2515f6206ad07d96fdcf4d1/diff:/var/snap/docker/common/var-lib-docker/overlay2/fc99b5eb3905f8b361f87d3816589c87865a1906e99c03bf5fa6c122ee114336/diff",
                "MergedDir": "/var/snap/docker/common/var-lib-docker/overlay2/82f632cafa75bb90b76910cc9a69ffa672a4cae0107610aa8f0b32c35d341919/merged",
                "UpperDir": "/var/snap/docker/common/var-lib-docker/overlay2/82f632cafa75bb90b76910cc9a69ffa672a4cae0107610aa8f0b32c35d341919/diff",
                "WorkDir": "/var/snap/docker/common/var-lib-docker/overlay2/82f632cafa75bb90b76910cc9a69ffa672a4cae0107610aa8f0b32c35d341919/work"
            },
            "Name": "overlay2"
        },
        "Mounts": [],
        "Config": {
            "Hostname": "9b8bd25bf6ab",
            "Domainname": "",
            "User": "",
            "AttachStdin": false,
            "AttachStdout": true,
            "AttachStderr": true,
            "Tty": false,
            "OpenStdin": false,
            "StdinOnce": false,
            "Env": [
                "APPFLOWY_WORKER_ENVIRONMENT=production",
                "APPFLOWY_S3_BUCKET=appflowy",
                "APPFLOWY_MAILER_SMTP_TLS_KIND=wrapper",
                "APPFLOWY_MAILER_SMTP_USERNAME=email_sender@some_company.com",
                "RUST_LOG=info",
                "APPFLOWY_MAILER_SMTP_HOST=smtp.gmail.com",
                "APPFLOWY_WORKER_IMPORT_TICK_INTERVAL=30",
                "APPFLOWY_MAILER_SMTP_EMAIL=email_sender@some_company.com",
                "APPFLOWY_MAILER_SMTP_PORT=465",
                "APPFLOWY_WORKER_DATABASE_URL=postgres://postgres:password@postgres:5432/postgres",
                "APPFLOWY_S3_MINIO_URL=http://minio:9000",
                "APPFLOWY_ENVIRONMENT=production",
                "APPFLOWY_WORKER_DATABASE_NAME=postgres",
                "APPFLOWY_MAILER_SMTP_PASSWORD=email_sender_password",
                "APPFLOWY_S3_USE_MINIO=true",
                "APPFLOWY_WORKER_REDIS_URL=redis://redis:6379",
                "APPFLOWY_S3_REGION=",
                "APPFLOWY_S3_SECRET_KEY=minioadmin",
                "APPFLOWY_S3_ACCESS_KEY=minioadmin",
                "PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin",
                "APP_ENVIRONMENT=production",
                "RUST_BACKTRACE=1"
            ],
            "Cmd": [
                "appflowy_worker"
            ],
            "Image": "appflowyinc/appflowy_worker:latest",
            "Volumes": null,
            "WorkingDir": "/app/",
            "Entrypoint": null,
            "OnBuild": null,
            "Labels": {
                "com.docker.compose.config-hash": "66cdd1c6371d209d3ef4af269f19f0f99ac36f9f6826bcf85e171c0979678bdd",
                "com.docker.compose.container-number": "1",
                "com.docker.compose.depends_on": "postgres:service_healthy:false",
                "com.docker.compose.image": "sha256:5b04758e9a719482695e350dfed3e91a29dd5ecf4c300d86ea6f223416be4312",
                "com.docker.compose.oneoff": "False",
                "com.docker.compose.project": "appflowy-cloud",
                "com.docker.compose.project.config_files": "/home/jon/AppFlowy-Cloud/docker-compose.yml",
                "com.docker.compose.project.working_dir": "/home/jon/AppFlowy-Cloud",
                "com.docker.compose.service": "appflowy_worker",
                "com.docker.compose.version": "2.33.1",
                "org.opencontainers.image.created": "2025-08-15T12:42:38.338Z",
                "org.opencontainers.image.description": "",
                "org.opencontainers.image.licenses": "",
                "org.opencontainers.image.revision": "5b2233ac9bdd0e6d8d94eacf971fa9d2ff85be47",
                "org.opencontainers.image.source": "https://github.com/AppFlowy-IO/AppFlowy-CI",
                "org.opencontainers.image.title": "AppFlowy-CI",
                "org.opencontainers.image.url": "https://github.com/AppFlowy-IO/AppFlowy-CI",
                "org.opencontainers.image.version": "main"
            }
        },
        "NetworkSettings": {
            "Bridge": "",
            "SandboxID": "f88ab4cef7b6c45e337cb7c3515b75b7efc66ea2f37b84071a894be146101e65",
            "SandboxKey": "/run/snap.docker/netns/f88ab4cef7b6",
            "Ports": {},
            "HairpinMode": false,
            "LinkLocalIPv6Address": "",
            "LinkLocalIPv6PrefixLen": 0,
            "SecondaryIPAddresses": null,
            "SecondaryIPv6Addresses": null,
            "EndpointID": "",
            "Gateway": "",
            "GlobalIPv6Address": "",
            "GlobalIPv6PrefixLen": 0,
            "IPAddress": "",
            "IPPrefixLen": 0,
            "IPv6Gateway": "",
            "MacAddress": "",
            "Networks": {
                "appflowy-cloud_default": {
                    "IPAMConfig": null,
                    "Links": null,
                    "Aliases": [
                        "appflowy-cloud-appflowy_worker-1",
                        "appflowy_worker"
                    ],
                    "MacAddress": "6a:1c:43:89:8a:34",
                    "DriverOpts": null,
                    "GwPriority": 0,
                    "NetworkID": "97af1691b8d266f4c650dc087b71a4fba5d8b364642e765f132c5c8c3100b74c",
                    "EndpointID": "85a5b7c9bebc252e09bebefcc089d24f5919f3a7b2678b59de99a525cc282017",
                    "Gateway": "172.20.0.1",
                    "IPAddress": "172.20.0.11",
                    "IPPrefixLen": 16,
                    "IPv6Gateway": "",
                    "GlobalIPv6Address": "",
                    "GlobalIPv6PrefixLen": 0,
                    "DNSNames": [
                        "appflowy-cloud-appflowy_worker-1",
                        "appflowy_worker",
                        "9b8bd25bf6ab"
                    ]
                }
            }
        }
    }
]
